RedCrawler API
Manage Posts V1

Manage Post Flair V1

Add, edit, or remove flair on a specific post. Use action=add/edit to set flair (requires flair_id), action=remove/delete to clear it. Requires bearer token.

POST /api/v1/publishing/flair

Add, edit, or remove flair on a specific post. Use action=add/edit to set flair (requires flair_id), action=remove/delete to clear it. Requires bearer token.

Body parameters

NameTypeRequiredDescription
poststringYesPost URL, ID, or t3_ prefixed ID.
actionstringYesAction: add, edit, remove, or delete.
subredditstringYesSubreddit name where the post is.
flair_textstringNoCustom flair text (if template allows editing).
proxystringNoProxy. Optional if stored in Token Vault.
flair_idstringNoFlair template ID (required for add/edit, ignored for remove).
bearerstringNoBearer token. Optional if stored in Token Vault.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X POST "https://red-crawler1.p.rapidapi.com/api/v1/publishing/flair" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"post": "1sys4r2", "action": "add", "subreddit": "test", "flair_text": "<flair_text>", "proxy": "<proxy>", "flair_id": "<flair_id>", "bearer": "<bearer>"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/publishing/flair", {
  method: "POST",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "post": "1sys4r2",
  "action": "add",
  "subreddit": "test",
  "flair_text": "<flair_text>",
  "proxy": "<proxy>",
  "flair_id": "<flair_id>",
  "bearer": "<bearer>"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/publishing/flair"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "post": "1sys4r2",
  "action": "add",
  "subreddit": "test",
  "flair_text": "<flair_text>",
  "proxy": "<proxy>",
  "flair_id": "<flair_id>",
  "bearer": "<bearer>"
}
resp = requests.post(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "json": {
      "errors": []
    }
  },
  "error": null,
  "timestamp": "2026-04-29T11:47:12.301204+00:00"
}

On this page